import React from 'react';
import { Room } from "matrix-js-sdk/src/models/room";
import { RoomMember } from "matrix-js-sdk/src/models/room-member";
import { MatrixEvent } from "matrix-js-sdk/src/models/event";
import { VerificationRequest } from "matrix-js-sdk/src/crypto/verification/request/VerificationRequest";
import { RightPanelPhases } from "../../stores/RightPanelStorePhases";
import ResizeNotifier from "../../utils/ResizeNotifier";
import { RoomPermalinkCreator } from '../../utils/permalinks/Permalinks';
import { E2EStatus } from '../../utils/ShieldUtils';
interface IProps {
    room?: Room;
    groupId?: string;
    member?: RoomMember;
    resizeNotifier: ResizeNotifier;
    permalinkCreator?: RoomPermalinkCreator;
    e2eStatus?: E2EStatus;
}
interface IState {
    phase: RightPanelPhases;
    isUserPrivilegedInGroup?: boolean;
    member?: RoomMember;
    verificationRequest?: VerificationRequest;
    verificationRequestPromise?: Promise<VerificationRequest>;
    space?: Room;
    widgetId?: string;
    groupRoomId?: string;
    groupId?: string;
    event: MatrixEvent;
    initialEvent?: MatrixEvent;
    initialEventHighlighted?: boolean;
    searchQuery: string;
}
export default class RightPanel extends React.Component<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src").MatrixClient>;
    private dispatcherRef;
    constructor(props: any, context: any);
    private readonly delayedUpdate;
    private getUserForPanel;
    private getPhaseFromProps;
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(newProps: IProps): void;
    private initGroupStore;
    private unregisterGroupStore;
    private onGroupStoreUpdated;
    private onRoomStateMember;
    private onAction;
    private onClose;
    private onSearchQueryChanged;
    render(): JSX.Element;
}
export {};
