import React from 'react';
import { RightPanelPhases } from "../../../stores/RightPanelStorePhases";
import { SetRightPanelPhaseRefireParams } from '../../../dispatcher/payloads/SetRightPanelPhasePayload';
import { NotificationColor } from '../../../stores/notifications/NotificationColor';
export declare enum HeaderKind {
    Room = "room",
    Group = "group"
}
interface IState {
    headerKind: HeaderKind;
    phase: RightPanelPhases;
    threadNotificationColor: NotificationColor;
}
interface IProps {
}
export default abstract class HeaderButtons<P = {}> extends React.Component<IProps & P, IState> {
    private storeToken;
    private dispatcherRef;
    constructor(props: IProps & P, kind: HeaderKind);
    componentDidMount(): void;
    componentWillUnmount(): void;
    protected abstract onAction(payload: any): any;
    setPhase(phase: RightPanelPhases, extras?: Partial<SetRightPanelPhaseRefireParams>): void;
    isPhase(phases: string | string[]): boolean;
    private onRightPanelUpdate;
    abstract renderButtons(): JSX.Element;
    render(): JSX.Element;
}
export {};
