import { Store } from 'flux/utils';
import { RightPanelPhases } from "./RightPanelStorePhases";
import { ActionPayload } from "../dispatcher/payloads";
/**
 * A class for tracking the state of the right panel between layouts and
 * sessions.
 */
export default class RightPanelStore extends Store<ActionPayload> {
    private static instance;
    private state;
    private lastRoomId;
    constructor();
    get isOpenForRoom(): boolean;
    get isOpenForGroup(): boolean;
    get roomPanelPhase(): RightPanelPhases;
    get groupPanelPhase(): RightPanelPhases;
    get previousPhase(): RightPanelPhases | null;
    get visibleRoomPanelPhase(): RightPanelPhases;
    get visibleGroupPanelPhase(): RightPanelPhases;
    get roomPanelPhaseParams(): any;
    private setState;
    __onDispatch(payload: ActionPayload): void;
    static getSharedInstance(): RightPanelStore;
}
